
intro={}
require "intro_buttons"
arrow = {img=nil,x=nil,y=nil,spot=0}
title_card={img=nil,x=nil,y=nil}
sequence={start_btn,quit_btn}
button_count=2

key_release=true

function intro.load()
	print("STATE = intro")
	--load up start menu graphics
	love.graphics.setBackgroundColor(10, 10, 89)
	start_btn.img = love.graphics.newImage('assets/sprites/start_btn.png')
	quit_btn.img = love.graphics.newImage('assets/sprites/quit_btn.png')
	arrow.img = love.graphics.newImage('assets/sprites/arrow.png')
	title_card.img = love.graphics.newImage('assets/sprites/title.png')

	--calc. position on screen for the graphics
	start_btn.x,start_btn.y =(love.graphics.getWidth()/2-start_btn.img:getWidth()/2),(love.graphics.getHeight()/2- start_btn.img:getHeight()/2)
	quit_btn.x,quit_btn.y =(love.graphics.getWidth()/2-quit_btn.img:getWidth()/2),(love.graphics.getHeight()/2 + quit_btn.img:getHeight()/2 + 16)
	title_card.x,title_card.y = 0,0

	--arrow for user input gets set up here
	arrow.x = start_btn.x - arrow.img:getWidth()
	arrow.y = start_btn.y
	arrow.spot=1

end
function intro.update(dt)

end

function intro.draw()
	love.graphics.draw(title_card.img,title_card.x,title_card.y)
	love.graphics.draw(start_btn.img,start_btn.x,start_btn.y)
	love.graphics.draw(quit_btn.img,quit_btn.x,quit_btn.y)
	love.graphics.draw(arrow.img,arrow.x,arrow.y)
end

function intro.keypressed(key,scancode,isrepeat)
	if key == "w" or key =="up" then
		move_up(arrow)
	elseif key == "s" or key == "down" then
		move_down(arrow)
	elseif key == "space" or key == "return" then
		sequence[arrow.spot]:method()
	end
end

function move_up(arrow)
	if sequence[arrow.spot - 1] == nil then
		arrow.spot = table.getn(sequence)
	else 
		arrow.spot = arrow.spot-1
	end
	arrow.y = sequence[arrow.spot].y
	
end

function move_down(arrow)
	if sequence[arrow.spot + 1] == nil then
		arrow.spot = 1
	else 
		arrow.spot = arrow.spot+1
	end
	arrow.y = sequence[arrow.spot].y
end